<?php
//--------------------------------------------------------------------
// *** BlognPlus 用 Google Sitemap 生成スクリプト ***
// LAST UPDATE: 2006/03/23
// Version    : 1.00
// Copyright  : nJOY
// http://njoy.pekori.to/
//--------------------------------------------------------------------
//
// blognmap.php
//
//--------------------------------------------------------------------

header("Content-type:text/xml;charset=utf-8");
echo '<?xml version="1.0" encoding="UTF-8"?> 
<urlset xmlns="http://www.google.com/schemas/sitemap/0.84" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xsi:schemaLocation="http://www.google.com/schemas/sitemap/0.84 http://www.google.com/schemas/sitemap/0.84/sitemap.xsd">
'; 

include("./conf.php");
switch (BLOGN_DB_TYPE) {
	case "text":
		include("database/db_text.php");
		break;
	case "mysql":
		include("database/db_mysql.php");
		break;
	case "postgresql";
		include("database/db_postgresql.php");
		break;
}

$init = blogn_mod_db_init_load();
$timezone = $init["timezone"];
if ($timezone >= 0) {
	$timezone = '+'.sprintf("%02d", $timezone).':00';
}else{
	$timezone = sprintf("%02d", $timezone).':00';
}

$loglist = blogn_mod_db_log_load_for_viewer(0, 0, 50000);
while (list($key, $val) = each($loglist[1])) {
	$url = BLOGN_HOMELINK.'index.php?e='.$val["id"];
	$date = substr($val["date"], 0, 4).'-'.substr($val["date"], 4, 2).'-'.substr($val["date"], 6, 2).'T'.substr($val["date"], 8, 2).':'.substr($val["date"], 10, 2).':'.substr($val["date"], 12, 2).$timezone;
	echo '<url>
<loc>'.$url.'</loc>
<lastmod>'.$date.'</lastmod>
</url>
';
}
?>
</urlset>